Name:           bitbake
Version:        1.50.3
Release:        2%{?dist}
Summary:        Build tool executing tasks and managing metadata
License:        GPLv2
URL:            http://en.wikipedia.org/wiki/BitBake
Source0:        bitbake-%{version}.tar.gz
Source1:        Makefile
Source2:        setup.py
BuildArch:      noarch
%if 0%{?centos} || 0%{?epel}
BuildRequires:  python3 epel-release
%else
BuildRequires:  python
BuildRequires:  sphinx
%endif
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-pyyaml
BuildRequires:  python3-devel
BuildRequires:  libxslt
BuildRequires:  lynx
BuildRequires:  xmlto
BuildRequires:  make
Requires:       python3-ply
Requires:       python3-progressbar

Patch0:		collections.patch

%description
BitBake is a make-like build tool with the special focus of distributions and
packages for embedded Linux cross compilation although it is not limited to 
that. It is derived from Portage, which is the package management system used 
by the Gentoo Linux distribution. BitBake existed for some time in the 
OpenEmbedded project until it was separated out into a standalone, maintained,
distribution-independent tool. BitBake is co-maintained by the Yocto Project 
and the OpenEmbedded project.

%prep
%setup -q
%patch0 -p1

%if 0%{?centos} || 0%{?epel}
yum install sphinx
%endif

cp -p %{SOURCE1} Makefile
cp -p %{SOURCE2} setup.py

%build
# does python setup and builds docs
DESTDIR=%{buildroot} make

%install
DESTDIR=%{buildroot} make install

%files
%{_bindir}/bitbake*
%{_bindir}/git-make-shallow*
%{_bindir}/toaster*
%{_datadir}/bitbake/
%{_docdir}/bitbake/
%{_mandir}/man1/bitbake*
%{python3_sitelib}/*

%%changelog
* Fri Oct 1 2021 Al Stone <ahs3@redhat.com> - 1.50.3-2
- Add conditionals to handle BuildDepends differences in package naming

* Fri Oct 1 2021 Al Stone <ahs3@redhat.com> - 1.50.3-1
- Update to 1.50.3, fix build failures

* Sun Feb 28 2021 Al Stone <ahs3@redhat.com> - 1.46.6-1
- Update to 1.46.6, maybe unretire the package
- Completely redo the setup.py from f23
- Add a makefile to simplify the spec file

* Wed Jul 02 2014 Christopher Meng <rpm@cicku.me> - 1.17.0-1
- Update to 1.17.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.8.18-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Nov 15 2009 Michal Ingeli <mi@v3.sk> - 1.8.18-1
- Update to current release
- Stripped shebangs from non-executable python scripts
- Fixed documentation file encoding 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.8.10-2
- Rebuild for Python 2.6

* Sun Sep 07 2008 Andreas Thienemann <andreas@bawue.net> - 1.8.10-1
- Updated to 1.8.10
- Include .egg
- Fix FTBFS #440562

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.8.8-2
- fix license tag

* Fri Aug 31 2007 Andreas Thienemann <andreas@bawue.net> - 1.8.8-1
- Updated to 1.8.8

* Tue Aug 14 2007 Andreas Thienemann <andreas@bawue.net> - 1.8.6-1
- Updated to 1.8.6

* Tue Mar 06 2007 Andreas Thienemann <andreas@bawue.net> - 1.6.6-1
- Updated to 1.6.6
- Reverted FHS patch, as upstream includes it by now

* Thu Dec 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.6.0-2
- Rebuild for updated python, add python-devel dependency.

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 1.6.0-1
- Updated to 1.6.0

* Fri Aug 11 2006 Andreas Thienemann <andreas@bawue.net> 1.4.2-1
- Updated to 1.4.2

* Wed Apr 26 2006 Andreas Thienemann <andreas@bawue.net> 1.4.0-1
- Updated to 1.4.0
- Modified to conform to FC4+ .spec syntax.

* Thu Apr 13 2006 Andreas Thienemann <andreas@bawue.net> 1.3.3-2
- Cleaned up .spec.

* Thu Feb 16 2006 Andreas Thienemann <andreas@bawue.net> 1.3.3-1
- Initial spec.
